import {uniRequest} from "@/http/main";
const TEST_URL='http://172.16.100.93:9052'
const TY_URL='https://warehouse.szjixun.cn/ticket'
let configV
const uniReq=uniRequest.created({
    baseUrl: TY_URL,
    interceptor: {
        request(config){
            configV=config
            config.header.Authorization=uni.getStorageSync('token')??''
            if (config.isLoading){
                uni.showLoading({
                    title: '加载中...',
                    mask: true
                })
                setTimeout(()=>{
                    uni.hideLoading()
                },5000)
            }
            return config
        },
        response(response) {
            if (configV.isShowMsg){
                if (response.data.code!==200){
                    uni.showToast({
                        title: response.data.msg,
                        icon: 'none',
                        duration: 1300
                    })
                }
            }
            if (configV.isLoading){
                setTimeout(()=>{
                    uni.hideLoading()
                },1300)

            }

            return response.data
        }
    }
})
export default uniReq
